## qwit 1.0+svn303

=== CMakeLists.txt ===
project(qwit)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

set(QT_MIN_VERSION 4.5.0)
find_package(Qt4 REQUIRED)

find_package(Automoc4 REQUIRED)
include (CheckCXXCompilerFlag)

add_definitions( ${QT_DEFINITIONS} )
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)

include_directories( 
	${QT_INCLUDES} 
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	)

set( LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

set( qwit_UI
	src/MainWindow.ui
	src/OptionsDialog.ui
	src/AboutDialog.ui
	src/AccountConfigurationDialog.ui
	src/DirectMessageDialog.ui
	src/FriendsMgmtDialog.ui
	)

set( qwit_SRCS
    src/qwit.cpp
    src/Configuration.cpp
    src/MainWindow.cpp
    src/MessageTextEdit.cpp
    src/OptionsDialog.cpp
    src/AboutDialog.cpp
    src/DirectMessageDialog.cpp
    src/TwitPicDialog.cpp
    src/AccountConfigurationDialog.cpp
    src/Account.cpp
    src/AbstractPage.cpp
    src/HomePage.cpp
    src/PublicPage.cpp
    src/RepliesPage.cpp
    src/FavoritesPage.cpp
    src/InboxPage.cpp
    src/OutboxPage.cpp
    src/SearchPage.cpp
    src/TwitterWidget.cpp
    src/Services.cpp
    src/Twitter.cpp
    src/Message.cpp
    src/QwitTools.cpp
    src/UserpicsDownloader.cpp
    src/UrlShortener.cpp
    src/TwitterWidgetItem.cpp
    src/FriendsMgmtDialog.cpp
    src/UserMgmtWidget.cpp
    src/UserMgmtWidgetItem.cpp
    src/TwitterWidgetItemMessage.cpp
	src/Translator.cpp
    src/AbstractUserMgmtPage.cpp
    src/FriendshipsMgmtPage.cpp
    src/FollowersMgmtPage.cpp
    src/BlocksMgmtPage.cpp
	)

file( GLOB qwit_TS translations/*.ts )

set( qwit_RCC
	qwit.qrc 
	)

add_definitions( -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_XML_LIB -DQT_SHARED )

qt4_wrap_ui( qwit_UI_SRCS ${qwit_UI} )
qt4_add_resources( qwit_RCC_SRCS ${qwit_RCC} )
qt4_add_translation( qwit_QM ${qwit_TS} )

automoc4_add_executable( qwit
	${qwit_SRCS}
	${qwit_UI_SRCS}
	${qwit_RCC_SRCS}
	)

add_custom_target (translations_target DEPENDS ${qwit_QM} )
add_dependencies( qwit translations_target )

target_link_libraries( qwit
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	${QT_QTXML_LIBRARY}
	${QT_QTNETWORK_LIBRARY}
	)

install( TARGETS qwit DESTINATION ${QT_BINARY_DIR} )
install( FILES qwit.desktop DESTINATION share/applications )
install( FILES images/qwit.png DESTINATION share/icons )
install( FILES ${qwit_QM} DESTINATION ${QT_TRANSLATIONS_DIR} )

## qwit 1.0+svn346

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 include_directories( 
 	${QT_INCLUDES} 
+	/usr/include/QtOAuth
+	/usr/include/qca2/QtCrypto
 	${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_CURRENT_BINARY_DIR}
 	)
@@ -23,6 +25,7 @@
 	src/MainWindow.ui
 	src/OptionsDialog.ui
 	src/AboutDialog.ui
+	src/OAuthDialog.ui
 	src/AccountConfigurationDialog.ui
 	src/DirectMessageDialog.ui
 	src/FriendsMgmtDialog.ui
@@ -35,6 +38,7 @@
     src/MessageTextEdit.cpp
     src/OptionsDialog.cpp
     src/AboutDialog.cpp
+    src/OAuthDialog.cpp
     src/DirectMessageDialog.cpp
     src/TwitPicDialog.cpp
     src/AccountConfigurationDialog.cpp
@@ -89,9 +93,10 @@
 
 target_link_libraries( qwit
 	${QT_QTCORE_LIBRARY}
+	${QT_QTNETWORK_LIBRARY}
 	${QT_QTGUI_LIBRARY}
 	${QT_QTXML_LIBRARY}
-	${QT_QTNETWORK_LIBRARY}
+	qoauth
 	)
 
 install( TARGETS qwit DESTINATION ${QT_BINARY_DIR} )

=== debian/changelog ===
qwit (1.0+svn346-1) unstable; urgency=low

  * New upstream svn snapshot.
    - OAuth support 
    - Native retweet support
    - libnotify and kdialog support
  * Updated Standards-Version to 3.9.1 No change needed.
  * Debian menu file provided. (Closes: #573632)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Tue, 27 Jul 2010 12:51:09 +0200

qwit (1.0+svn305-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Memory leak fixed (Closes: #567243)
    - Layout of the user management dialog changed
    - No more notifications for 'more' button.
  * Updated Standards-Version to 3.8.4 No change needed.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Thu, 11 Feb 2010 12:14:56 +0100

qwit (1.0+svn300-1) unstable; urgency=low

  * New upstream svn snapshot. Some of the new features are:
    - Enable or disable URL shortening from main window.
    - Translation files updated.
    - Friends management feature. 
    - Custom url shorteners.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Mon, 07 Dec 2009 12:43:14 +0100

qwit (1.0+svn255-1) unstable; urgency=low

  * New upstream svn snapshot providing some bug fixes and new features:
    - Upstream moved to 1.x branch.
    - Fixes 'Twitpocalypse' related bugs (int limit reached).
    - Url shorteners support.
    - Multiple accounts support.
    - Identi.ca and other twitter-compatible services support.
  * Updated Standards-Version to 3.8.3 No change needed.
  * Added README.source file.
  * Crystal Project Icons license detailed in debian/copyright.

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Tue, 29 Sep 2009 16:58:18 +0200

qwit (0.9-1) unstable; urgency=low

  * Initial release (Closes: #528189)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Sat, 25 Jul 2009 13:52:39 +0200

=== debian/control ===
Source: qwit
Section: net
Priority: extra
Maintainer: Carlos Galisteo <cgalisteo@k-rolus.net>
Build-Depends: debhelper (>= 7), quilt, txt2man, qt4-qmake, libqt4-dev, libqoauth-dev, libqca2-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/qwit/

Package: qwit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight desktop client for Twitter microblogging service
 Qwit is a Qt4-based lightweight cross-platform client for Twitter.
 Some of its main features are:
  - http-proxy support;
  - userpics caching;
  - clickable links in statuses;
  - public, replies, custom user timelines, search;
  - caching messages between sessions;
  - replies, retweets and direct messages support;
  - customizable interface;
  - twitpic support.

=== debian/watch ===
version=3
http://code.google.com/p/qwit/downloads/list http://qwit.googlecode.com/files/qwit-([\d.]+)\-src.tar.bz2

## qwit 1.1+svn353

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 include (CheckCXXCompilerFlag)
 
 add_definitions( ${QT_DEFINITIONS} )
+add_definitions(-DVERSION=\"1.1\")
 remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)
 
 include_directories(

=== debian/changelog ===
qwit (1.1+svn353-1) unstable; urgency=low

  * New upstream svn snapshot.
    - bugfix: crush on fresh startup.
    - bugfix: mention check was case sensitive
    - feature: integrated 3cm.kz url shortener
  * Added dependency for libqca2-plugin-ossl (Closes: #592374)

 -- Carlos Galisteo <cgalisteo@k-rolus.net>  Sat, 11 Sep 2010 19:27:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: qwit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
 Description: Lightweight desktop client for Twitter microblogging service
  Qwit is a Qt4-based lightweight cross-platform client for Twitter.
  Some of its main features are:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure: configure-stamp

configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	qmake-qt4 PREFIX=$(CURDIR)/debian/qwit/usr
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	txt2man -t qwit -s1 debian/qwit.man > debian/qwit.1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/qwit.1
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	dh_install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/qwit

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installchangelogs 
	dh_installdocs
	dh_installman $(CURDIR)/debian/qwit.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
